import java.util.Scanner;

public class Section032_Type1 {
	public static void main(String[] args) {
		Scanner scanf = new Scanner(System.in);
		int n, i, j, k;
		int data[] = new int[10];
		n = -1;
		do
		{
			n++;
			data[n] = scanf.nextInt();
		} while (n < 9);
		i = -1;
		do
		{
			i++;
			j = -1;
			do
			{
				j++;
				if (data[j] > data[j + 1])
				{
					k = data[j];
					data[j] = data[j+1];
					data[j+1] = k;
				}
			} while (j < 8 - i);
		} while (i < 8);
		for (int x = 0; x <= 9; x++)
			System.out.printf("%d ", data[x]);
		scanf.close();
	}
}
